Skip to content

Rate an article from 1 to 5 based on customer choice

POST
/cms/content/{id}/rate
curl --request POST \
--url https://api.example.com/cms/content/example/rate \
--header 'API-Key: <API-Key>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Token: <Token>' \
--data '{ "rating": 1, "source": "example" }'
id
required
string

Content ID

Rating payload

Media typeapplication/json
object
rating
required

Customer rating (1-5)

integer
>= 1 <= 5
source

Source of the rating

string

Example generated

{
"rating": 1,
"source": "example"
}

Rating added

Media typeapplication/json
object
rating

New average score of the content

number format: float

Example generated

{
"rating": 1
}